Name:          libisl15
Version:       0.18
Release:       2mamba
Summary:       Integer Set Library
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://isl.gforge.inria.fr/user.html
Source:        http://isl.gforge.inria.fr/isl-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
isl is a thread-safe C library for manipulating sets and relations of integer points bounded by affine constraints.
The descriptions of the sets and relations may involve both parameters and existentially quantified variables.
All computations are performed in exact integer arithmetic using GMP or imath.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n isl-%{version}

%build
%configure
%make V=1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%doc AUTHORS LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/isl
%{_includedir}/isl/*
%dir %{_includedir}/isl/deprecated
%{_includedir}/isl/deprecated/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README

%changelog
* Sun May 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18-2mamba
- legacy package

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 0.18-1mamba
- automatic update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 0.17.1-1mamba
- automatic update by autodist

* Sat Nov 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14-1mamba
- update to 0.14 (downgrade to version required to build gcc 5.2.0)

* Fri Nov 20 2015 Davide Madrisan <davide.madrisan@gmail.com> 0.15-1mamba
- package created using the webbuild interface
